VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "GraphicInstance"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit
' This class stores information about a single instance of a graphic.
'
' Public Properties:
'    Index: This sets or returns an Integer value that represents the position in the GraphicInstances collection.
'    StartPosition: This sets or returns Double value that represents where the graphic starts in the document.
'    EndPosition: This sets or returns Double value that represents where the graphic ends in the document.
'    WordShapeType: This sets or returns giShapeType value that represents a Shape or InlineShape.
'    GraphicType: This sets or returns a Variant value that represents the type of Shape or InlineShape.
'    GraphicSubType: This sets or returns an Integer value that represents an AutoShape type if the Shape object is an AutoShape.
'    LinkedPath: This sets or returns a String value that represents the source location if the graphic is linked.
'    Target: This sets or returns a String value that represents a URL target if the graphic is a hyperlink.

Public Enum giShapeType
    giShape = 1
    giInlineShape = 2
End Enum
Private mvarIndex As Integer
Private mvarStartPosition As Double
Private mvarGraphicType As Variant
Private mvarLinkedPath As String
Private mvarGraphicSubType As Integer
Private mvarWordShapeType As giShapeType
Private mvarOLEClass As String
Private mvarEndPosition As Double
Private mvarTarget As String

Public Property Let Target(ByVal vData As String)
    
    mvarTarget = vData

End Property

Public Property Get Target() As String
    
    Target = mvarTarget

End Property

Public Property Let EndPosition(ByVal vData As Double)
    
    mvarEndPosition = vData

End Property

Public Property Get EndPosition() As Double
    
    EndPosition = mvarEndPosition

End Property

Public Property Let OLEClass(ByVal vData As String)
    
    mvarOLEClass = vData

End Property

Public Property Get OLEClass() As String
    
    OLEClass = mvarOLEClass

End Property

Public Property Let WordShapeType(ByVal vData As giShapeType)
    
    mvarWordShapeType = vData

End Property

Public Property Get WordShapeType() As giShapeType
    
    WordShapeType = mvarWordShapeType

End Property

Public Property Let GraphicSubType(ByVal vData As Integer)
    
    mvarGraphicSubType = vData

End Property

Public Property Get GraphicSubType() As Integer
    
    GraphicSubType = mvarGraphicSubType

End Property

Public Property Let LinkedPath(ByVal vData As String)
    
    mvarLinkedPath = vData

End Property

Public Property Get LinkedPath() As String
    
    LinkedPath = mvarLinkedPath

End Property

Public Property Let GraphicType(ByVal vData As Variant)
    
    mvarGraphicType = vData

End Property

Public Property Get GraphicType() As Variant
    
    GraphicType = mvarGraphicType

End Property

Public Property Let StartPosition(ByVal vData As Double)
    
    mvarStartPosition = vData

End Property

Public Property Get StartPosition() As Double
    
    StartPosition = mvarStartPosition

End Property

Public Property Let Index(ByVal vData As Integer)
    
    mvarIndex = vData

End Property

Public Property Get Index() As Integer
    
    Index = mvarIndex

End Property

