VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "StyleInstance"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit
' This class stores an instance of a style in a Word document.
'
' Public Properties:
'    Index: This sets or returns an Integer value that represents the position in the StyleInstances collection.
'    StartPosition: This sets or returns a Double value that represents where the style starts in the document.
'    EndPosition: This sets or returns a Double value that represents where the style ends in the document.
'    StyleType: This sets or returns an Integer value that represents whether the style is Character or paragraph style.
'    Target: This sets or returns a String value that represents the URL target if the styled text is a hyperlink.

Private mvarStyleName As String
Private mvarStartPosition As Double
Private mvarEndPosition As Double
Private mvarStyleType As Integer
Private mvarIndex As Integer
Private mvarTarget As String

Public Property Let StyleType(ByVal vData As Integer)
    
    mvarStyleType = vData

End Property

Public Property Get StyleType() As Integer
    
    StyleType = mvarStyleType

End Property

Public Property Let EndPosition(ByVal vData As Double)
    
    mvarEndPosition = vData

End Property

Public Property Get EndPosition() As Double
    
    EndPosition = mvarEndPosition

End Property

Public Property Let StartPosition(ByVal vData As Double)
    
    mvarStartPosition = vData

End Property

Public Property Get StartPosition() As Double
    
    StartPosition = mvarStartPosition

End Property

Public Property Let StyleName(ByVal vData As String)
    
    mvarStyleName = vData

End Property

Public Property Get StyleName() As String
    
    StyleName = mvarStyleName

End Property

Public Property Let Target(ByVal vData As String)
    
    mvarTarget = vData

End Property

Public Property Get Target() As String
    
    Target = mvarTarget

End Property
Public Property Let Index(ByVal vData As Integer)
    
    mvarIndex = vData

End Property

Public Property Get Index() As Integer
    
    Index = mvarIndex

End Property
